Bug 295061 - Remote desktop of dual-monitor system shows half
Remote desktop of dual-monitor system shows half
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: vino (Show other bugs)
9
All Linux
high Severity high
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
: 164922 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-18 12:35 EDT by Robert Peterson
Modified: 2013-03-05 22:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 14:05:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Peterson 2007-09-18 12:35:14 EDT
Description of problem:
I have a dual-screen system at the office (x86_64, with proprietary
Nvidia driver).  If I use Remote Desktop to control the console,
it asks me for the screen saver password.  When I type it in, it
restores and lets me control the leftmost monitor, but the rightmost
monitor is permanently displayed as black.  I tried killing
gnome-screensaver but it didn't do any good.  It stayed black.
When I got to work, both monitors were working properly, so it was
just the remote control that didn't work.

I should note that I've used vnc to control xvnc sessions, e.g. :1
and it lets me control the whole thing just fine.  So it must have
something to do with the screen management.  For example, if I choose
System->Lock Screen, the left screen does a fading effect, but the
right screen just goes black.

Version-Release number of selected component (if applicable):
Recently updated Fedora 7 for my server and FC6 for my vncviewer.
vino-2.18.0-1.fc7

How reproducible:
Always

Steps to Reproduce:
1. Set up a F7 workstation with dual monitors, nvidia proprietary
   driver and xinerama to span the desktop across the two displays.
2. Turn on Remote Console feature
3. From an FC6 box, start vncviewer and select the server's :0
  
Actual results:
Left screen is shown properly but right screen is displayed black.

Expected results:
Both screens should show as a spanning display.

Additional info:
Comment 1 Bug Zapper 2008-05-14 10:24:29 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Robert Peterson 2008-05-14 11:37:57 EDT
This is still a problem in F8.  I'll test F9 shortly.
Until then, I'll change version to 8.
Comment 3 Bug Zapper 2008-11-26 02:49:08 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Robert Peterson 2008-11-26 11:40:10 EST
This is still a problem in F9.  I haven't tried F10 yet, but maybe soon.
Comment 5 josef radinger 2009-03-14 11:12:49 EDT
*** Bug 164922 has been marked as a duplicate of this bug. ***
Comment 6 Bug Zapper 2009-06-09 18:51:02 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Robert Peterson 2009-06-15 14:05:47 EDT
I'm happy to report that this now works properly in Fedora 11;
closing as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.